
.ms-common--comments-block #comments.comments-area {margin:0 auto 20px 0; color: inherit; width: auto; max-width: 100%;}
.ms-common--comments-block #comments.comments-area #wpdcom {margin: 7px auto 15px 0; max-width: 100%;}
.ms-common--comments-block #wpdcom .wpd-form-wrap {max-width: 60%; padding:0;}
.ms-common--comments-block #wpdcom .wpd-form-wrap .wpd-form-head {display:none!important;}
.ms-common--comments-block #wpdcom .wpd-form .wpdiscuz-textarea-wrap.wpd-txt .wpd-textarea-wrap {width:100%;flex-basis:auto;}
.ms-common--comments-block #wpdcom .wpd-form .wpdiscuz-textarea-wrap.wpd-txt .wpd-textarea-wrap textarea {color: var(--color-oposite); background-color: var(--color-main-opacity20); min-height: 4em !important;}

.ms-common--comments-block #wpdcom.wpd-layout-2 .wpd-comment.wpd-reply .wpd-comment-wrap {background-color: var(--color-main-opacity90); padding-left: 15px;}

.ms-common--comments-block #wpdcom #wpd-threads {margin-top: 20px;}
.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-thread-list {padding: 15px 0;}
.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right {padding:0;}
.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-wrap {padding:0;}

.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-comment-link.wpd-hidden,
.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-tools.wpd-hidden {padding-right: 5px;}

.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-tools-actions {
	left:auto;
	right: -100%;
	top:-35px;
}
.ms-common--comments-block #wpdcom .wpd-comment .wpd-comment-right .wpdiscuz-edit-form-wrap .wc_save_wrap {display:flex; align-items: baseline; justify-content: end;}

.ms-common--comments-block #wpdcom.wpd-layout-2 .wpd-reply.wpd_comment_level-2 {margin-top:10px;}

.ms-common--comments-block #wpdcom .wpd-prim-button {background:transparent var(--button-gradient) !important;}

.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-prim-button {background:var(--color-btn-good) none !important;}

.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-prim-button,
.ms-common--comments-block #wpdcom .wpd-thread-wrapper .wpd-comment .wpd-comment-right .wpd-second-button {
	line-height: 21px;
	width:auto;
}

/*------ customs settings for different pages ------------------*/
.ms-content--view-m--user-block.wpb_row:has(.ms-content--rating-block) .ms-common--comments-block #wpdcom .wpd-form-wrap {max-width: 100%;}

/*------ end of customs settings for different pages ------------------*/
@media screen and (max-width: 1280px) {
	.ms-common--comments-block #wpdcom .wpd-form-wrap {max-width: 80%; }
}
@media screen and (max-width: 768px) {
	.ms-common--comments-block #wpdcom .wpd-form-wrap {max-width: 100%; }
}
@media screen and (max-width: 600px) {
    .ms-common--comments-block #wpdcom.wpd-layout-2 .wpd-comment .wpd-comment-header .wpd-user-info {width: auto; float: none; margin-left: 0; margin-top: 0;}
}

